#include <paths.h>

/* The path that users and root get by default, that is, the ones that will
 * get when they log in and no PATH variable is set, are defined in the paths.h
 * of your system. If you prefer to use your systems default, just comment
 * the following line. Otherwise, edit the paths below to suit your needs */
#define USER_DEFAULT_PATHS

#ifdef USER_DEFAULT_PATHS
#ifdef _PATH_DEFPATH
#undef _PATH_DEFPATH
#endif
#ifdef _PATH_DEFPATH_ROOT
#undef _PATH_DEFPATH_ROOT
#endif

/* You only may need to change this if you defined USER_DEFAULT_PATHS. Please
 * remember that using . in the path is a security risk, so don't do it */
#define	_PATH_DEFPATH	        "/usr/local/bin:/bin:/usr/bin"
#define _PATH_DEFPATH_ROOT      "/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin"

#endif

/* --- End of user customizable part */


/*
 *	@(#)pathnames.h	5.3 (Berkeley) 5/9/89
 *
 * Heavily modified by poe@daimi.aau.dk for Linux
 */

#ifndef __STDC__
# error "we need an ANSI compiler"
#endif

#define _PATH_BSHELL    "/bin/sh"
#define _PATH_CSHELL    "/bin/csh"
#define UT_NAMESIZE     8
#define _PATH_TTY       "/dev/tty"
#define TTYTYPES        "/etc/ttytype"
#define SECURETTY       "/etc/securetty"


#define	_PATH_HUSHLOGIN	".hushlogin"
#define	_PATH_MAILDIR	"/var/spool/mail"
#define	_PATH_MOTDFILE	"/etc/motd"
#define	_PATH_NOLOGIN	"/etc/nologin"

#define _PATH_LOGIN	"/bin/login"
#define _PATH_INITTAB	"/etc/inittab"
#define _PATH_RC	"/etc/rc"
#define _PATH_REBOOT	"/sbin/reboot"
#define _PATH_SINGLE	"/etc/singleboot"
#define _PATH_SECURE	"/etc/securesingle"
#define _PATH_USERTTY   "/etc/usertty"
