/* Comment this if you wish to use group leaders. See the README file for
 * a somewhat detailed explanation on the utility of this. Remember you must
 * set grppasswd.c to setuid root if you use group leaders. */
#define GROUP_LEADER_SUPPORT
 
/* The name of your system group file */
#define GROUP_FILE "/etc/group"

/* The temporary file */
#define TMP_FILE "/etc/group.tmp"

/* --- End of user customizable part */


#define MAX_PASSWORD_LENGTH  8

struct group* getgroup (const char *prompt, const char *name);
bool prompt_password (const char *password, char* new_password, const size_t length);
bool valid_password (const char *password, const struct group *grp);
bool password_update (const char *password, const gid_t gid);
void addgroup_showhelp (const char *progname);
void addgroup_showversion (void);
bool addgroup_update (const struct group *grp);
void prompt_gid (gid_t *gid);
gid_t find_freegid (void);

